Skip to main content
POST
/
api
/
VolunteerOpportunity
Create a Volunteer Opportunity
curl --request POST \
  --url https://api.virtuoussoftware.com/api/VolunteerOpportunity \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "startDateTime": "<dateTime>",
  "endDateTime": "<dateTime>",
  "timeZone": "<string>",
  "preferredNumberOfHours": "<double>",
  "projectId": "<integer>",
  "locationName": "<string>",
  "description": "<string>",
  "isActive": "<boolean>",
  "isLocalOnly": "<boolean>",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal": "<string>",
  "country": "<string>",
  "preferredDateTime": "<dateTime>",
  "currentPriority": "<string>",
  "currentNeed": "<integer>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
'
{
  "id": "<integer>",
  "volunteerOpportunityUrl": "<string>",
  "name": "<string>",
  "locationName": "<string>",
  "displayAddress": "<string>",
  "startDateTime": "<string>",
  "endDateTime": "<string>",
  "preferredDateTime": "<string>",
  "timeZone": "<string>",
  "description": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "isActive": "<boolean>",
  "isLocalOnly": "<boolean>",
  "preferredNumberOfHours": "<double>",
  "projectId": "<integer>",
  "totalVolunteers": "<integer>",
  "totalVolunteerHours": "<double>",
  "volunteerOrganizers": [
    {
      "id": "<integer>",
      "volunteerOrganizerUrl": "<string>",
      "contactId": "<integer>",
      "displayName": "<string>",
      "firstName": "<string>",
      "avatarUrl": "<string>",
      "primaryPhone": "<string>",
      "primaryEmail": "<string>",
      "contactUrl": "<string>",
      "volunteerOpportunityUrl": "<string>"
    },
    {
      "id": "<integer>",
      "volunteerOrganizerUrl": "<string>",
      "contactId": "<integer>",
      "displayName": "<string>",
      "firstName": "<string>",
      "avatarUrl": "<string>",
      "primaryPhone": "<string>",
      "primaryEmail": "<string>",
      "contactUrl": "<string>",
      "volunteerOpportunityUrl": "<string>"
    }
  ],
  "currentNeed": "<integer>",
  "currentPriority": "<string>",
  "currentPriorityName": "<string>",
  "currentNeedFilledPercentage": "<double>",
  "hoursFilledPercentage": "<double>",
  "volunteerOrganizersUrl": "<string>",
  "volunteersUrl": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
startDateTime
string
endDateTime
string
timeZone
string
preferredNumberOfHours
string
projectId
string
locationName
string
description
string
isActive
string
isLocalOnly
string
address1
string
address2
string
city
string
state
string
postal
string
country
string
preferredDateTime
string
currentPriority
string
currentNeed
string
customFields
object[]

Response

OK

id
string
volunteerOpportunityUrl
string
name
string
locationName
string
displayAddress
string
startDateTime
string
endDateTime
string
preferredDateTime
string
timeZone
string
description
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
isActive
string
isLocalOnly
string
preferredNumberOfHours
string
projectId
string
totalVolunteers
string
totalVolunteerHours
string
volunteerOrganizers
object[]
currentNeed
string
currentPriority
string
currentPriorityName
string
currentNeedFilledPercentage
string
hoursFilledPercentage
string
volunteerOrganizersUrl
string
volunteersUrl
string
customFields
object[]
Last modified on June 5, 2026